Bug 125007 - insecure permissions for squid.conf
insecure permissions for squid.conf
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: squid (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
: Security
Depends On:
  Show dependency treegraph
Reported: 2004-06-01 20:31 EDT by Jason Gallagher
Modified: 2014-08-31 19:26 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2005-489
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-06-13 08:08:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jason Gallagher 2004-06-01 20:31:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.2)

Description of problem:
/etc/squid/squid.conf may contain a plaintext password in the
cachemgr_passwd directive. Users with access may be able to see the
list of cached objects and shutdown the cache itself. A message on the
mailing list suggests non-world-readable permissions for this file
I suggest using ownership root:squid and permissions 0640. A fix to
the SPEC file might be:

< %config(noreplace) /etc/squid/squid.conf
> %config(noreplace) %attr(640,root,squid) /etc/squid/squid.conf

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. install
2. examine permissions of /etc/squid/squid.conf


Actual Results:  File readable by all users.

Expected Results:  Should be readable only by root and user 'squid'.

Additional info:
Comment 1 Josh Bressers 2005-06-02 13:40:17 EDT
This issue also affects RHEL2.1
Comment 2 Josh Bressers 2005-06-13 08:08:41 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.